version 9.0
set more off
capture log close
log using "C:\fd-data\panels.log", replace
* *** panel analysis
use "C:\fd-data\fd-panel.dta", clear
tsset i t
gen dunemp = D.unemp
gen dinfl = D.infl
gen dbudgdef = D.budgdef
* *** growth
* * ohne LDV mit govsize
* xtpcse growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse growth L.feddummy L.dezrev L.dezborr L.grants L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse growth L.feddummy L.dezrev L.dezborr L.grants L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
xtpcse growth L.feddummy L.dezrev L.grants L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
predict pgrowthhat1
gen pgrowthe1 = growth - pgrowthhat1
version 7.0
graph pgrowthe1 pgrowthhat1
save pgrowth1.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * ohne LDV ohne govsize
* xtpcse growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.budgdef L.popsize aus-usa y1970-y2003
* xtpcse growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.popsize aus-usa y1970-y2003
xtpcse growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.unemp L.infl L.tradebal L.popsize aus-usa y1970-y2003
predict pgrowthhat2
gen pgrowthe2 = growth - pgrowthhat2
version 7.0
graph pgrowthe2 pgrowthhat2
save pgrowth2.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse growth L.feddummy L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.popsize aus-usa y1970-y2003
predict pgrowthhat3
gen pgrowthe3 = growth - pgrowthhat3
version 7.0
graph pgrowthe3 pgrowthhat3
save pgrowth3.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.unemp L.infl L.tradebal L.budgdef L.popsize aus-usa y1970-y2003
predict pgrowthhat4
gen pgrowthe4 = growth - pgrowthhat4
version 7.0
graph pgrowthe4 pgrowthhat4
save pgrowth4.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse growth L.feddummy L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.budgdef L.popsize aus-usa y1970-y2003
predict pgrowthhat5
gen pgrowthe5 = growth - pgrowthhat5
version 7.0
graph pgrowthe5 pgrowthhat5
save pgrowth5.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV mit govsize
* xtpcse growth L.growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse growth L.growth L.feddummy L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse growth L.growth L.feddummy L.dezborr L.fimb1 L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse growth L.growth L.feddummy L.fimb1 L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
xtpcse growth L.growth L.feddummy L.dezexp L.unemp L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
predict pgrowthhat6
gen pgrowthe6 = growth - pgrowthhat6
version 7.0
graph pgrowthe6 pgrowthhat6
save pgrowth6.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV ohne govsize
* xtpcse growth L.growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.unemp L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
xtpcse growth L.growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.unemp L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
predict pgrowthhat7
gen pgrowthe7 = growth - pgrowthhat7
version 7.0
graph pgrowthe7 pgrowthhat7
save pgrowth7.gph, replace
list country year pgrowthhat7 if pgrowthhat7 < .91 & pgrowthhat7 ~= .
version 9.0
xtpcse growth L.growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.unemp L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003 if pgrowthhat7 > .91
predict pgrowthhat8
gen pgrowthe8 = growth - pgrowthhat8
version 7.0
graph pgrowthe8 pgrowthhat8 if pgrowthhat7 > .91
save pgrowth8.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* *** unemployment
* * ohne LDV mit govsize
* xtpcse dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003, ca
* xtpcse dunemp L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003, ca
* xtpcse dunemp L.feddummy L.dezrev L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003, ca
* xtpcse dunemp L.feddummy L.dezrev L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popdens aus-usa y1970-y2003, ca
xtpcse dunemp L.feddummy L.dezrev L.grants L.growth L.infl L.tradebal L.govsize L.budgdef L.popdens aus-usa y1970-y2003, ca
predict pdunemphat1
gen pdunempe1 = dunemp - pdunemphat1
version 7.0
graph pdunempe1 pdunemphat1
save pdunemp1.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse dunemp L.feddummy L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popdens aus-usa y1970-y2003, ca
predict pdunemphat2
gen pdunempe2 = dunemp - pdunemphat2
version 7.0
graph pdunempe2 pdunemphat2
save pdunemp2.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * ohne LDV ohne govsize
* xtpcse dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003, ca
* xtpcse dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003, ca
xtpcse dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003, ca
predict pdunemphat3
gen pdunempe3 = dunemp - pdunemphat3
version 7.0
graph pdunempe3 pdunemphat3
save pdunemp3.gph, replace
list country year pdunemphat3 if pdunemphat3 > 2 & pdunemphat3 ~= .
version 9.0
xtpcse dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if pdunemphat3 < 2, ca
predict pdunemphat4
gen pdunempe4 = dunemp - pdunemphat4
version 7.0
graph pdunempe4 pdunemphat4 if pdunemphat3 < 2
save pdunemp4.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse dunemp L.feddummy L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003, ca
predict pdunemphat5
gen pdunempe5 = dunemp - pdunemphat5
version 7.0
graph pdunempe5 pdunemphat5
save pdunemp5.gph, replace
list country year pdunemphat5 if pdunemphat5 > 2 & pdunemphat5 ~= .
version 9.0
xtpcse dunemp L.feddummy L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if pdunemphat5 < 2, ca
predict pdunemphat6
gen pdunempe6 = dunemp - pdunemphat6
version 7.0
graph pdunempe6 pdunemphat6 if pdunemphat5 < 2
save pdunemp6.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV mit govsize
* xtpcse dunemp L.dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dunemp L.dunemp L.feddummy L.dezrev L.dezborr L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dunemp L.dunemp L.feddummy L.dezrev L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
xtpcse dunemp L.dunemp L.feddummy L.dezrev L.grants L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
predict pdunemphat7
gen pdunempe7 = dunemp - pdunemphat7
version 7.0
graph pdunempe7 pdunemphat7
save pdunemp7.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* xtpcse dunemp L.dunemp L.feddummy L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
xtpcse dunemp L.dunemp L.feddummy L.grants L.dezexp L.growth L.infl L.tradebal L.govsize L.budgdef L.popdens aus-usa y1970-y2003
predict pdunemphat8
gen pdunempe8 = dunemp - pdunemphat8
version 7.0
graph pdunempe8 pdunemphat8
save pdunemp8.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV ohne govsize
* xtpcse dunemp L.dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dunemp L.dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dunemp L.dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.tradebal L.budgdef L.popsize aus-usa y1970-y2003
xtpcse dunemp L.dunemp L.feddummy L.dezrev L.dezborr L.fimb1 L.growth L.infl L.tradebal L.budgdef L.popsize aus-usa y1970-y2003
predict pdunemphat9
gen pdunempe9 = dunemp - pdunemphat9
version 7.0
graph pdunempe9 pdunemphat9
save pdunemp9.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse dunemp L.dunemp L.feddummy L.dezborr L.fimb1 L.dezexp L.growth L.infl L.tradebal L.budgdef L.popsize aus-usa y1970-y2003
predict pdunemphat10
gen pdunempe10 = dunemp - pdunemphat10
version 7.0
graph pdunempe10 pdunemphat10
save pdunemp10.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* *** inflation
* * ohne LDV mit govsize
* xtpcse dinfl L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
xtpcse dinfl L.feddummy L.dezrev L.fimb1 L.grants L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
predict pdinflhat1
gen pdinfle1 = dinfl - pdinflhat1
version 7.0
graph pdinfle1 pdinflhat1
save pdinfl1.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * ohne LDV ohne govsize
* xtpcse dinfl L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.feddummy L.dezrev L.dezborr L.grants L.dezexp L.growth L.unemp L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.feddummy L.dezrev L.dezborr L.dezexp L.growth L.unemp L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.feddummy L.dezborr L.dezexp L.growth L.unemp L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
xtpcse dinfl L.feddummy L.dezborr L.dezexp L.growth L.unemp L.tradebal L.popsize L.popdens aus-usa y1970-y2003
predict pdinflhat2
gen pdinfle2 = dinfl - pdinflhat2
version 7.0
graph pdinfle2 pdinflhat2
save pdinfl2.gph, replace
list country year pdinflhat2 if pdinflhat2 > .06 & pdinflhat2 ~= .
version 9.0
xtpcse dinfl L.feddummy L.dezborr L.dezexp L.growth L.unemp L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if pdinflhat2 < .06
predict pdinflhat3
gen pdinfle3 = dinfl - pdinflhat3
version 7.0
graph pdinfle3 pdinflhat3 if pdinflhat2 < .06
save pdinfl3.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV mit govsize
* xtpcse dinfl L.dinfl L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.govsize L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.dinfl L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.dinfl L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.dinfl L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
* xtpcse dinfl L.dinfl L.feddummy L.dezrev L.grants L.dezexp L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
xtpcse dinfl L.dinfl L.feddummy L.grants L.dezexp L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
predict pdinflhat4
gen pdinfle4 = dinfl - pdinflhat4
version 7.0
graph pdinfle4 pdinflhat4
save pdinfl4.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse dinfl L.dinfl L.feddummy L.dezrev L.grants L.growth L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003
predict pdinflhat5
gen pdinfle5 = dinfl - pdinflhat5
version 7.0
graph pdinfle5 pdinflhat5
save pdinfl5.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV ohne govsize
* xtpcse dinfl L.dinfl L.growth L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.unemp L.tradebal L.budgdef L.popsize L.popdens aus-usa y1970-y2003
* * same as model ohne LDV
* *** budget balance
* * ohne LDV mit govsize
* exclusion of some countries due to incomplete panels
* by i: sum dbudgdef
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22 
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22 
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezborr L.fimb1 L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezborr L.fimb1 L.dezexp L.growth L.infl L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
xtpcse dbudgdef L.feddummy L.dezborr L.fimb1 L.dezexp L.growth L.infl L.tradebal L.govsize L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
predict pdbudgdefhat1
gen pdbudgdefe1 = dbudgdef - pdbudgdefhat1
version 7.0
graph pdbudgdefe1 pdbudgdefhat1 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
save pdbudgdef1.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * ohne LDV ohne govsize
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.unemp L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.unemp L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.dezexp L.growth L.infl L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.growth L.infl L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
xtpcse dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.growth L.infl L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
predict pdbudgdefhat2
gen pdbudgdefe2 = dbudgdef - pdbudgdefhat2
version 7.0
graph pdbudgdefe2 pdbudgdefhat2 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
save pdbudgdef2.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* xtpcse dbudgdef L.feddummy L.dezborr L.fimb1 L.dezexp L.growth L.infl L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
xtpcse dbudgdef L.feddummy L.dezborr L.fimb1 L.dezexp L.growth L.infl L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
predict pdbudgdefhat3
gen pdbudgdefe3 = dbudgdef - pdbudgdefhat3
version 7.0
graph pdbudgdefe3 pdbudgdefhat3 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
save pdbudgdef3.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
* * mit LDV mit govsize
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.unemp L.tradebal L.govsize L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* * same as model ohne LDV
* * mit LDV ohne govsize
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.unemp L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.popsize L.popdens aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.dezborr L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.infl L.tradebal L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
* xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.fimb1 L.grants L.dezexp L.growth L.tradebal L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
xtpcse dbudgdef L.dbudgdef L.feddummy L.dezrev L.fimb1 L.grants L.growth L.tradebal L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
predict pdbudgdefhat4
gen pdbudgdefe4 = dbudgdef - pdbudgdefhat4
version 7.0
graph pdbudgdefe4 pdbudgdefhat4 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
save pdbudgdef4.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
xtpcse dbudgdef L.dbudgdef L.feddummy L.fimb1 L.grants L.dezexp L.growth L.tradebal L.popsize aus-usa y1970-y2003 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
predict pdbudgdefhat5
gen pdbudgdefe5 = dbudgdef - pdbudgdefhat5
version 7.0
graph pdbudgdefe5 pdbudgdefhat5 if i ~= 5 & i ~= 11 & i~= 14 & i ~= 18 & i~= 20 & i ~= 22
save pdbudgdef5.gph, replace
version 9.0
* test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
test aus aut bel can cze den fin fra ger hun ice ire ita lux mex net nze nor pol por spa swe swi ukd usa
test y1970 y1971 y1972 y1973 y1974 y1975 y1976 y1977 y1978 y1979 y1980 y1981 y1982 y1983 y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 y1994 y1995 y1996 y1997 y1998 y1999 y2000 y2001 y2002 y2003
log close

